Page MenuHomePhabricator

Document how to create a new notification type
Open, Needs TriagePublic

Description

For new developers looking to add a new notification type, create:

  • A section in the documentation, including exemplary examples of
    • types for the core extension
    • types for notifications added via other extensions

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 26 2016, 11:46 PM
Mooeypoo claimed this task.Sep 12 2016, 9:14 PM
Mooeypoo added a subscriber: Mooeypoo.

I created a tutorial as a draft: https://www.mediawiki.org/wiki/User:MSchottlender-WMF/Creating_a_new_notification_type

When it is ready after editing and review, we can move it to the main namespace under the general Notifications documentation.

I created a tutorial as a draft: https://www.mediawiki.org/wiki/User:MSchottlender-WMF/Creating_a_new_notification_type
When it is ready after editing and review, we can move it to the main namespace under the general Notifications documentation.

Looks good. The real test is going to be when someone needs to use it for real.

@Benoit, this page is looking good. I have one suggestion for improvement: users will definitely want to consult the glossary on lots of terms in the form. And we want them to do this, so that they'll understand the various elements and how they should be used.

If we can set the glossary up so that all the terms in it are linkable, then we could make the terms in the form link to their definitions. I think it would be a BIG help. Can that be done?

@Benoit, this page is looking good. I have one suggestion for improvement: users will definitely want to consult the glossary on lots of terms in the form. And we want them to do this, so that they'll understand the various elements and how they should be used.
If we can set the glossary up so that all the terms in it are linkable, then we could make the terms in the form link to their definitions. I think it would be a BIG help. Can that be done?

that's technically difficult, but I keep it in mind for T129088: Create an easy to maintain glossary to facilitate documentation translation (help pages and technical documentation)

It needs to be merged into or replace https://www.mediawiki.org/wiki/Notifications/Developer_guide .

Merged as in "replacing" or "fusionning"?
I can do the first, not the second.

I think this is ready to go.
I've boldly moved the draft page to https://www.mediawiki.org/wiki/Extension:Echo/Creating_a_new_notification_type (a subpage of the main extension page ("Echo" not "Notifications").
I've linked to it from https://www.mediawiki.org/wiki/Notifications/Developer_guide#Notification_categories but merging it into that page is beyond Trizek or I, as we don't know which parts it replaces.
I've linked to it from https://www.mediawiki.org/wiki/Extension:Echo#See_also

Question: I don't know if it should be added to https://www.mediawiki.org/wiki/Template:Notifications_Navigation ?

Merged as in "replacing" or "fusionning"?

Preferably fusioning, otherwise replacing.

Why is this in the "Blocked" column?

Why is this in the "Blocked" column?

Because it is waiting for a developer that can understand two pages and then merge them into one.
The two pages are:

@jmatazzoni looks like you were referring to this task in the email? If so, I would like to showcase this for the docs meetup.

@jmatazzoni looks like you were referring to this task in the email? If so, I would like to showcase this for the docs meetup.

And this one T162314: Update Notifications/Developer guide for the specific technical aspect.

jmatazzoni added a comment.EditedApr 27 2017, 11:45 PM

Here's my analysis: There are too many pages here that overlap one another. And the sections are unclear/mixed. I'd propose that we should clarify these pages by grouping everything in three sections, each of which would address a different audience/use case. Like so:

'User help'

This should be all the info that explains how end users understand and navigate Notifications. I.e., most of the stuff in the "Documentation" section.

'Requesting a new notification'

This is for people who want a new notification but aren't going to program it. This would include all the material in Document a new notification type and the Design Guide.

'Technical guide'

For programmers, this would consolidate Create a new notification type and the current "Technical" section.

Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 14 2018, 8:13 PM
Catrope removed Mooeypoo as the assignee of this task.Aug 20 2018, 10:54 PM
Catrope moved this task from Inbox to Triaged but Future on the Growth-Team board.